package com.hh.arome.mvp.model;

import com.common.lib_base.common.http.bean.BaseBean;
import com.hh.arome.bean.DeviceConfigRequestBean;
import com.hh.arome.bean.DeviceConfigResultBean;
import com.hh.arome.bean.SimpleResultBean;
import com.hh.arome.http.ApiService;
import com.hh.arome.mvp.model.base.BaseModel;

import io.reactivex.Observable;
import okhttp3.RequestBody;

public class DeviceConfigModel extends BaseModel {

    public DeviceConfigModel(ApiService mApiService) {
        super(mApiService);
    }

    public Observable<BaseBean<DeviceConfigResultBean>> requestDeviceConfig(DeviceConfigRequestBean bean) {
        RequestBody requestBody = createRequestBody(bean);
        return mApiService.requestDeviceConfig(requestBody);
    }


    public Observable<BaseBean<SimpleResultBean>> requestDeviceConfigUpdate(DeviceConfigResultBean bean) {
        RequestBody requestBody = createRequestBody(bean);
        return mApiService.requestDeviceConfigUpdate(requestBody);
    }



}
